| Home | Libraries | People | FAQ | More

###### row::operator= (3 of 3 overloads)

Replaces the contents with a `row_view`.

###### Synopsis

    row&
    operator=(
        row_view r);

###### Exception safety

Basic guarantee. Internal allocations may throw.

###### Object lifetimes

`*this` lifetime will be independent of `r`'s (the contents of `r` will be copied into `*this`). Iterators and references (including `row_view`'s and `field_view`'s) to elements in `*this` are invalidated.

###### Complexity

Linear on `this->size()` and `r.size()`.